package com.ruoyi.basic.api.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 租户信息对象 hw_tenant
 * 
 * @author xins
 * @date 2023-09-04
 */
public class HwTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户ID */
    private Long tenantId;

    /** 租户类型，(1、企业，2、个人) */
    @Excel(name = "租户类型，(1、企业，2、个人)")
    private String tenantType;

    /** 租户名称 */
    @Excel(name = "租户名称")
    private String tenantName;

    /** 行业类型，关联sys_dict_data的dict_type是hw_tenant_industry的dict_value */
    @Excel(name = "行业类型，关联sys_dict_data的dict_type是hw_tenant_industry的dict_value")
    private Long tenantIndustry;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String contactName;

    /** 联系人电话 */
    @Excel(name = "联系人电话")
    private String contactPhone;

    /** 邮箱地址 */
    @Excel(name = "邮箱地址")
    private String email;

    /** 区域ID，管理区域hw_area */
    @Excel(name = "区域ID，管理区域hw_area")
    private Long areaId;

    /** 联系人地址 */
    @Excel(name = "联系人地址")
    private String contactAddress;

    /** 状态（1、正常 9、删除） */
    @Excel(name = "状态", readConverterExp = "1=、正常,9=、删除")
    private String tenantStatus;

    /** 是否外部注册（1、是 0、否） */
    @Excel(name = "是否外部注册", readConverterExp = "1=、是,0=、否")
    private String isRegister;

    /** 租户等级，预留字段 */
    @Excel(name = "租户等级，预留字段")
    private Long tenantGrade;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String tenantField;

    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setTenantType(String tenantType) 
    {
        this.tenantType = tenantType;
    }

    public String getTenantType() 
    {
        return tenantType;
    }
    public void setTenantName(String tenantName) 
    {
        this.tenantName = tenantName;
    }

    public String getTenantName() 
    {
        return tenantName;
    }
    public void setTenantIndustry(Long tenantIndustry) 
    {
        this.tenantIndustry = tenantIndustry;
    }

    public Long getTenantIndustry() 
    {
        return tenantIndustry;
    }
    public void setContactName(String contactName) 
    {
        this.contactName = contactName;
    }

    public String getContactName() 
    {
        return contactName;
    }
    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setContactAddress(String contactAddress) 
    {
        this.contactAddress = contactAddress;
    }

    public String getContactAddress() 
    {
        return contactAddress;
    }
    public void setTenantStatus(String tenantStatus) 
    {
        this.tenantStatus = tenantStatus;
    }

    public String getTenantStatus() 
    {
        return tenantStatus;
    }
    public void setIsRegister(String isRegister) 
    {
        this.isRegister = isRegister;
    }

    public String getIsRegister() 
    {
        return isRegister;
    }
    public void setTenantGrade(Long tenantGrade) 
    {
        this.tenantGrade = tenantGrade;
    }

    public Long getTenantGrade() 
    {
        return tenantGrade;
    }
    public void setTenantField(String tenantField) 
    {
        this.tenantField = tenantField;
    }

    public String getTenantField() 
    {
        return tenantField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tenantId", getTenantId())
            .append("tenantType", getTenantType())
            .append("tenantName", getTenantName())
            .append("tenantIndustry", getTenantIndustry())
            .append("contactName", getContactName())
            .append("contactPhone", getContactPhone())
            .append("email", getEmail())
            .append("areaId", getAreaId())
            .append("contactAddress", getContactAddress())
            .append("remark", getRemark())
            .append("tenantStatus", getTenantStatus())
            .append("isRegister", getIsRegister())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("tenantGrade", getTenantGrade())
            .append("tenantField", getTenantField())
            .toString();
    }
}
